Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039895
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2019-01-09 13:282019-01-14 13:42
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision5aff6a4a578c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039895: Simple G/L Journal line can be removed although it has related payment. Payment can be deleted although the journal is processed

DescriptionSimple G/L Journal line can be removed although it has related payment. Payment can be deleted although the journal is processed

The right flow should be:
1. Reactivate the G/L Journal
2. Reactivate and delete the payment
3. Delete the G/L Journal line
Steps To ReproduceAs group admin role:
   Create a Simple G/L Journal:
      Organization: F&B US East Coast
      General Ledger: F&B International Group US/A/US Dollar
   Add a line to it:
      Account: 1110 - Checking Account
      Debit: 100
      Open Items: Y
      Select Financial Account, Payment Method, G/L Item and Payment Date
   Add another line to it:
      Account: 1120 - Funds In-Transfer
      Credit: 100
      Open Items: N
   Complete it

   Navigate to the payment
   Check you can reactivate and delete it and you should not

   Create a new Simple G/L Journal:
      Organization: F&B US East Coast
      General Ledger: F&B International Group US/A/US Dollar
   Add a line to it:
      Account: 1110 - Checking Account
      Debit: 100
      Open Items: Y
      Select Financial Account, Payment Method, G/L Item and Payment Date
   Add another line to it:
      Account: 1120 - Funds In-Transfer
      Credit: 100
      Open Items: N
   Complete it
   Reactivate it
   Check a warning is shown. This is correct
   Try to edit the amount in the line related with the payment
   Check an error is shown. This is also correct
   Check you can delete the line related with the payment and you should not
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0039889 closedAtulOpenbravo Cannot process a Simple G/L Journal with Open Items option selected on a line 
related to defect 00302603.0PR15Q4 closedAtulOpenbravo It is not possible to Reactivate a GL Journal with any line defined as "open items" 

-  Notes
(0108928)
AtulOpenbravo (developer)
2019-01-11 13:58
edited on: 2019-01-11 13:59

- Login as International Group admin role
- Create a Simple G/L Journal:
      Organization: F&B US East Coast
      General Ledger: F&B International Group US/A/US Dollar
- Add a line to it:
      Account: 1110 - Checking Account
      Debit: 100
      Open Items: Y
      Select Financial Account, Payment Method, G/L Item and Payment Date
- Add another line to it:
      Account: 1120 - Funds In-Transfer
      Credit: 100
      Open Items: N
- Complete it
- Navigate to the payment created in previous step
- Check you cannot use any of the action: reactivate / reactivate and delete it for the payment.
- Error message is shown as
  "To reactivate the payment, Unpost and unprocess G/L Journal of the G/L Journal Line in which payment is linked."
- Navigate to G/L Journal, - Reactivate it
- Check a warning is shown. This is correct
- Try to delete the G/L Journal Line that has previous payment linked to it.
- Error is shown as "If you want to delete G/L Journal Line, you must first reactivate and delete its related payment."
- Navigate to the payment created in previous step
- Check you can use any of the action: reactivate / reactivate and delete it for the payment and payment could be deleted.
- Now again navigating to G/L Journal Line, try to delete it, line could be deleted now.

(0108943)
hgbot (developer)
2019-01-14 13:41

Repository: erp/devel/pi
Changeset: 5aff6a4a578c5ce62109e8f0a04f5a17773ba182
Author: atul.gaware <at> openbravo.com <atul.gaware <at> openbravo.com>
Date: Fri Jan 11 18:18:40 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/5aff6a4a578c5ce62109e8f0a04f5a17773ba182 [^]

Fixes Issue 39895: Simple G/L Journal line can be removed although
it has related payment. Payment can be deleted although the journal
is processed

** Before deleting gj journal line check is done for linked payment
if payment is linked error message is shown else line can be deleted.
** Before reactivating payment check is whether it is linked with gl
journal line having processed flag = yes in its header gl journal.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/model/triggers/APRM_FIN_PMT_CHECK_TRG.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/model/triggers/GL_JL_CHK_RESTRICTIONS_TRG.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0108944)
Sandrahuguet (developer)
2019-01-14 13:42

Code review + testing OK

- Issue History
Date Modified Username Field Change
2019-01-09 13:28 ngarcia New Issue
2019-01-09 13:28 ngarcia Assigned To => Triage Finance
2019-01-09 13:28 ngarcia Modules => Core
2019-01-09 13:28 ngarcia Triggers an Emergency Pack => No
2019-01-09 13:29 ngarcia Relationship added depends on 0039889
2019-01-09 14:35 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2019-01-09 15:11 ngarcia Relationship added related to 0030260
2019-01-09 15:27 rafaroda Issue Monitored: rafaroda
2019-01-10 18:26 AtulOpenbravo Status new => scheduled
2019-01-11 13:58 AtulOpenbravo Note Added: 0108928
2019-01-11 13:59 AtulOpenbravo Note Edited: 0108928 View Revisions
2019-01-14 13:41 hgbot Checkin
2019-01-14 13:41 hgbot Note Added: 0108943
2019-01-14 13:41 hgbot Status scheduled => resolved
2019-01-14 13:41 hgbot Resolution open => fixed
2019-01-14 13:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5aff6a4a578c5ce62109e8f0a04f5a17773ba182 [^]
2019-01-14 13:42 Sandrahuguet Review Assigned To => Sandrahuguet
2019-01-14 13:42 Sandrahuguet Note Added: 0108944
2019-01-14 13:42 Sandrahuguet Status resolved => closed
2019-01-14 13:42 Sandrahuguet Fixed in Version => 3.0PR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker